Bug 63356 - Won't let me install to DVD-RAM media ???By design?
Won't let me install to DVD-RAM media ???By design?
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-12 17:56 EDT by stuart boreen
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-12 18:38:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
results of kudzu -c SCSI CDROM HD (963 bytes, text/plain)
2002-04-14 16:34 EDT, stuart boreen
no flags Details

  None (edit)
Description stuart boreen 2002-04-12 17:56:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20011019
Netscape6/6.2

Description of problem:
I tried to install to a DVD-RAM drive Matshita LFD-310 IDE.
It won't let me. Even if I preformat the media as EXT2 file system

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Have SCSI hard drives filled
2.Boot with Skipjack in IDE CD-ROM to install
3.Can not Disk Druid or FDISK to /dev/hdc -- the dvd-ram
	

Actual Results:  I tried the shell and could not fdisk /dev/hdc

Expected Results:  I was hoping to write my / directory to the DVD-RAM media as
it behaves like a Hard disk in my currently running 7.2 setup. This way I have
4.7g to play with without messing up my SCSI drives with repartitioning. I know
the DVD-RAM will be dog slow, but at least I could see the features!

Additional info: DVD-RAM is cool! Works perfectly as a Hard DRive with error
correction No drivers needed! just mk2efs on /dev/hdc and mount /mnt/dvdram and
go! I love it!
Comment 1 Jeremy Katz 2002-04-14 01:56:52 EDT
Does it let you install to it if you boot with 'linux expert'?  By default,
removable drives can't be installed to and you use 'linux expert' to install to
them...  might not work in this case, though.
Comment 2 stuart boreen 2002-04-14 08:24:58 EDT
Doesn't work with Linux expert.
When I get to the partitioning stage, either Fdisk or Disk DRuid only gives me
choice of the SCSi drives, not the /dev/hdc DVD RAM
Comment 3 Jeremy Katz 2002-04-14 16:10:45 EDT
From your installed 7.2 system, what is the output of the following commands (as
root)

kudzu -p -c HD
kudzu -p -c CDROM
kudzu -p -c SCSI


We only install to things which show up as disks, so I'm betting kudzu is going
to need to get smarter to be able to install to DVD-RAM.
Comment 4 stuart boreen 2002-04-14 16:34:56 EDT
Created attachment 53791 [details]
results of kudzu -c SCSI CDROM HD

Note You need to log in before you can comment on or make changes to this bug.